//
//  ViewController.swift
//  13-绘图
//
//  Created by apple on 2017/9/11.
//  Copyright © 2017年 HEJJY. All rights reserved.
//

import UIKit

let KDrawH : CGFloat = 200
let KLabelH : CGFloat = 30

class KJViewController: UIViewController {
    
    fileprivate lazy var drawInfos : [KJDrawInfo] = KJDrawInfo.getDrawInfos()
    fileprivate lazy var moreDrawInfos : [KJDrawInfo] = KJDrawInfo.getScrollDrawInfos()

    fileprivate lazy var scrollView : KJScrollView = {
    
        let drawScroll = KJScrollView(frame: CGRect(x: 0, y: KLabelH, width: KScreenW - 20, height: KDrawH), drawInfos: self.drawInfos)
        
        return drawScroll
    }()
    
    fileprivate lazy var titleLabel : UILabel = {
        
        let title = UILabel(frame: CGRect(x: 10, y: 0, width: KScreenW - 40, height: KLabelH))
        
        title.text = "趋势图(不滚动)"
        title.font = UIFont.systemFont(ofSize: 15)
        title.textColor = UIColor(r: 0, g: 160, b: 172)
        
        return title
    }()
    
    fileprivate lazy var bgView : UIView = {
    
        let view = UIView(frame: CGRect(x: 10, y: 30, width: KScreenW - 20, height: KDrawH + KLabelH))
        view.backgroundColor = UIColor.white
        view.layer.cornerRadius = 5
        view.layer.masksToBounds = true
        return view
    
    }()
    
    fileprivate lazy var moreView : KJScrollView = {
        
        let drawScroll = KJScrollView(frame: CGRect(x: 0, y: KLabelH, width: KScreenW - 20, height: KDrawH), drawInfos: self.moreDrawInfos)
        
        return drawScroll
    }()
    
    fileprivate lazy var moreLabel : UILabel = {
        
        let title = UILabel(frame: CGRect(x: 10, y: 0, width: KScreenW - 40, height: KLabelH))
        
        title.text = "趋势图(可以滚动)"
        title.font = UIFont.systemFont(ofSize: 15)
        title.textColor = UIColor(r: 0, g: 160, b: 172)
        
        return title
    }()
    
    fileprivate lazy var bgScrollView : UIView = {
        
        let view = UIView(frame: CGRect(x: 10, y: self.bgView.frame.maxY + 10, width: KScreenW - 20, height: KDrawH + KLabelH))
        view.backgroundColor = UIColor.white
        view.layer.cornerRadius = 5
        view.layer.masksToBounds = true
        return view
        
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.backgroundColor = UIColor(r: 244, g: 244, b: 244)
        
        bgView.addSubview(titleLabel)
        bgView.addSubview(scrollView)
        view.addSubview(bgView)
        
        bgScrollView.addSubview(moreLabel)
        bgScrollView.addSubview(moreView)
        view.addSubview(bgScrollView)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

